Download it now!
Bug 65718 - FILESAVE: DOCX Export - when saving picture with 'Square' wrapping style the 'Distance from text' is lost
Summary: FILESAVE: DOCX Export - when saving picture with 'Square' wrapping style the ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.1.0.1 rc
Hardware: Other All
: medium normal
Assignee: Adam CloudOn
URL:
Whiteboard: BSA target:4.2.0
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-13 15:39 UTC by Adam CloudOn
Modified: 2014-05-17 20:20 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
DOCX containing text and a picture with 'Square' wrapping style and '9pt' distance from text (56.79 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2013-06-13 15:39 UTC, Adam CloudOn
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Adam CloudOn 2013-06-13 15:39:26 UTC
Created attachment 80784 [details]
DOCX containing text and a picture with 'Square' wrapping style and '9pt' distance from text

Problem description: 
Attached is a DOCX with text and a picture with 'Square' wrapping style. In addition the picture has in the 'Text Wrapping' the following setting of '9pt' distance from the right and left sides of the text.
When saving in LO as a NEW.DOCX - the 'distance from text' property is exported as '0pt'.

Steps to reproduce:
1. Open the attached DOCX
2. Save document as NEW.DOCX
3. Open the NEW.DOCX in Word
4. the picture's distance from text is 0pt instead of 9pt (from left and right).

Current behavior:
When exporting to DOCX - the 'distance from text' property it reset to 0pt.

Expected behavior:
When exporting to DOCX - the 'distance from text' property should be exported correctly.
              
Operating System: Windows 8
Version: 4.2.0.0.alpha0+ Master
Comment 1 Jorendc 2013-06-20 23:27:07 UTC
I can reproduce this using Mac OSX 10.8.3 with LibreOffice Version: 4.1.0.1
Build ID: 1b3956717a60d6ac35b133d7b0a0f5eb55e9155; and Word for Mac 2011.

Kind regards,
Joren
Comment 2 Commit Notification 2013-07-26 08:48:17 UTC
Adam Co committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6be2b0fbf9da9963ac18d33f145e06d684136a26

fdo#65718 : fix for exporting of image distance from text



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Jorendc 2014-05-17 20:20:46 UTC
Looks fixed to me, tested using Windows 8.1 with LibreOffice Version: 4.3.0.0.alpha1+
Build ID: 48eccfb812284f43ba24c3be3903537ce954944d
TinderBox: Win-x86@39, Branch:master, Time: 2014-05-16_00:35:19

Thanks Adam :-)!

Kind regards,
Joren